This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 193470 - Review Request: renrot - A program to rename and rotate files according to EXIF tags
Review Request: renrot - A program to rename and rotate files according to EX...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-29 07:29 EDT by Andy Shevchenko
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-03 11:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2006-05-29 07:29:21 EDT
Spec URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/renrot.spec
SRPM URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/renrot-0.19.3-1.src.rpm
Description:
Renrot renames files according the DateTimeOriginal and FileModifyDate
EXIF tags, if they exist. Otherwise, the name will be set according to
the current timestamp. Additionally, it rotates files and their
thumbnails, accordingly Orientation EXIF tag.

The script can also put commentary into the Commentary and UserComment
tags.

Personal details can be specified via XMP tags defined in a
configuration file.
Comment 1 Parag AN(पराग) 2006-06-01 02:50:29 EDT
It will be good it you specify what changes you made from version to version
release in SPEC file'c Chnagelog
Comment 2 Andy Shevchenko 2006-06-01 07:35:58 EDT
Why? The spec's changelog is related to spec changes and so on.
I think, if you should like to get changes list of project you should read the 
project's inside documentation such ChangeLog or NEWS files, isn't it?
(Look to wine package for example)

Updated version here:
SRPM URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/renrot-0.20-1.src.
rpm
Comment 3 Jason Tibbitts 2006-06-02 21:37:29 EDT
rpmlint complains:

E: renrot non-standard-executable-perm /usr/bin/renrot 0555

Should be 755.

The only other issue is minor; BuildRequires: perl is not required.  This is not
a blocker.

Since the only real issue is fixed up by a quick chmod, I'll go ahead and
approve this and you can fix it when you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   b3261caa8ed7a6c87add693310feb9b9  renrot-0.20.tar.gz
   b3261caa8ed7a6c87add693310feb9b9  renrot-0.20.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper (BR: perl is redundant)
* package builds in mock (development, x86_64).
X rpmlint complains about mode 555 file.
* final provides and requires are sane:
   config(renrot) = 0.20-1.fc6
   renrot = 0.20-1.fc6
  -
   /usr/bin/perl
   config(renrot) = 0.20-1.fc6
   libjpeg >= 6b
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(Getopt::Long)
   perl(Image::ExifTool)
   perl(Time::Local)
   perl(Time::localtime)
   perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, provided you fix the permissions on /usr/bin/renrot.
Comment 4 Andy Shevchenko 2006-06-03 06:40:59 EDT
Updated version here:
SRPM URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/renrot-0.20-2.src.
rpm
Comment 5 Jason Tibbitts 2006-06-03 11:07:40 EDT
Everything looks good; check in whenever you like.
Comment 6 Andy Shevchenko 2006-06-03 11:46:16 EDT
Thank you for review.

Note You need to log in before you can comment on or make changes to this bug.